Subject: Re: [PATCH 5/7] ip-route: don't hide routes with RTM_F_CLONED by default

From: Stephen Hemminger <[email-masked]>
Date: Mon, 4 May 2015 08:37:51 -0700

On Mon, 13 Apr 2015 16:00:59 +0200
Pavel Šimerda <[email-masked]> wrote:

> From: Pavel Šimerda <[email-masked]>
> 
> Signed-off-by: Pavel Šimerda <[email-masked]>
> ---
>  ip/iproute.c | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)

I understand your concern, and it probably was a poor design choice initially.

Since this will change the output for the default case, it will upset some
peoples expectations and potentially break scripts that screen scrape the output
of ip commands. Therefore I can't accept it at this time.

Sorry for the delay, but I thought someone else would add more comments.
Perhaps if you explained in more detail the motivation of why this is an
important problem I would reconsider change the behavior.